OWASPZAPDotNetAPI 2.7.0

There is a newer version of this package available.
See the version list below for details.
Install-Package OWASPZAPDotNetAPI -Version 2.7.0
dotnet add package OWASPZAPDotNetAPI --version 2.7.0
<PackageReference Include="OWASPZAPDotNetAPI" Version="2.7.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add OWASPZAPDotNetAPI --version 2.7.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.
#r "nuget: OWASPZAPDotNetAPI, 2.7.0"
#r directive can be used in F# Interactive, C# scripting and .NET Interactive. Copy this into the interactive tool or source code of the script to reference the package.
// Install OWASPZAPDotNetAPI as a Cake Addin
#addin nuget:?package=OWASPZAPDotNetAPI&version=2.7.0

// Install OWASPZAPDotNetAPI as a Cake Tool
#tool nuget:?package=OWASPZAPDotNetAPI&version=2.7.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

The Dot Net API for OWASP ZAP allows you to access the OWASP Zed Attack Proxy's functionality programmatically to enable automated vulnerability analysis for web applications

This package has no dependencies.

NuGet packages (1)

Showing the top 1 NuGet packages that depend on OWASPZAPDotNetAPI:

Package Downloads
SFA.Automation.Framework

Web automation framework, using selenium

GitHub repositories

This package is not used by any popular GitHub repositories.

Version Downloads Last updated
2.10.0 7,156 3/6/2021
2.9.0 124 2/27/2021
2.8.0 14,643 9/13/2019
2.7.0 42,617 12/8/2017
2.6.1 8,697 6/22/2017
2.6.0 7,124 3/21/2017
1.0.0 6,761 7/2/2015

2.7.0 compatible with OWASP ZAP 2.7.0 stable release. ApiKey does not need to be passed explicitly while invoking apis, initialization of apikey during ClientApi construction is sufficient